%define upstream_name    Config-Model-TkUI
%define upstream_version 1.349

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 2.52.0
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::Pod)
BuildRequires: perl(Tk::Tree)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

Requires:   perl(Config::Model)
%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.349.0-4pclos2017
- rebuild against updates

